Skip to main content
GET
List agents

Authorizations

X-API-Key
string
header
required

Organization API key

Query Parameters

has_deployment
boolean | null

Return only agents that do (or do not) own an active deployed model.

has_benchmarks
boolean | null

Return only agents that do (or do not) own a benchmark.

agent_id
string[] | null

Return only these agents; repeat for each agent ID.

Maximum array length: 200
production_model_slug
string | null

Filter by exact production model slug.

cursor
string | null
limit
integer
default:25
Required range: 1 <= x <= 200
sort
string | null
order
enum<string>
default:desc
Available options:
asc,
desc
search
string | null

Response

Successful Response

Named response schema for the agent list endpoint.

items
AgentListItem · object[]
required
has_more
boolean
required
total_count
integer
required

Number of agents matching the search and filters.

Required range: x >= 0
next_cursor
string | null